com.icesoft.faces.component.paneltabset

## Class PanelTabSet

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - javax.faces.component.html.HtmlDataTable
        - - org.icefaces.impl.component.UISeriesBase
          - - com.icesoft.faces.component.panelseries.UISeries
            - - com.icesoft.faces.component.paneltabset.PanelTabSet

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder

      public class PanelTabSet
      extends UISeries
      implements org.icefaces.impl.component.SeriesStateHolder

  PanelTabSet is a JSF component class that represents an ICEfaces tab panel container.

  This component extends the ICEfaces UISeries component which is a modified implementation of UIData.

  By default the component is rendered by the "com.icesoft.faces.TabbedPane" renderer type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.impl.component.UISeriesBase

      `org.icefaces.impl.component.UISeriesBase.RowEvent`

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlDataTable

      `javax.faces.component.html.HtmlDataTable.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY` The component family.
    `static java.lang.String` | `COMPONENT_TYPE` The component type.

    - ### Fields inherited from class com.icesoft.faces.component.panelseries.UISeries

      `RENDERER_TYPE`

    - ### Fields inherited from class org.icefaces.impl.component.UISeriesBase

      `dataModel, savedChildren, savedSeriesState`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelTabSet()` Creates an instance and sets the default renderer type to "com.icesoft.faces.TabbedPane".

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTabChangeListener(TabChangeListener listener)`
    `void` | `applyPhase(javax.faces.context.FacesContext context, javax.faces.event.PhaseId phaseId)`
    `void` | `applyPhase(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.event.PhaseId phaseId)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `void` | `decode(javax.faces.context.FacesContext context)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getAlign()`
    `java.lang.String` | `getBgcolor()`
    `int` | `getBorder()` Return the value of the `border` property.
    `java.lang.String` | `getCellpadding()`
    `java.lang.String` | `getCellspacing()`
    `java.lang.String` | `getClientIdForRootElement(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFrame()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRules()`
    `int` | `getSelectedIndex()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getSummary()`
    `javax.faces.el.MethodBinding` | `getTabChangeListener()`
    `java.lang.String` | `getTabindex()`
    `java.lang.String` | `getTabPlacement()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getWidth()`
    `boolean` | `isImmediate()`
    `boolean` | `isKeyboardNavigationEnabled()`
    `boolean` | `isPartialSubmit()`
    `boolean` | `isRendered()`
    `boolean` | `isVisible()` Return the value of the `visible` property.
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `void` | `processValidators(javax.faces.context.FacesContext context)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `removeTabChangeListener(TabChangeListener listener)`
    `void` | `restoreSeriesState(javax.faces.context.FacesContext facesContext, java.lang.Object state)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveSeriesState(javax.faces.context.FacesContext facesContext)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAlign(java.lang.String align)`
    `void` | `setBgcolor(java.lang.String bgcolor)`
    `void` | `setBorder(int border)` Set the value of the `border` property.
    `void` | `setCellpadding(java.lang.String cellpadding)`
    `void` | `setCellspacing(java.lang.String cellspacing)`
    `void` | `setDir(java.lang.String dir)`
    `void` | `setFrame(java.lang.String frame)`
    `void` | `setHeight(java.lang.String height)`
    `void` | `setImmediate(boolean immediate)`
    `void` | `setKeyboardNavigationEnabled(boolean keyboardNavigationEnabled)`
    `void` | `setLang(java.lang.String lang)`
    `void` | `setOnclick(java.lang.String onclick)`
    `void` | `setOndblclick(java.lang.String ondblclick)`
    `void` | `setOnkeydown(java.lang.String onkeydown)`
    `void` | `setOnkeypress(java.lang.String onkeypress)`
    `void` | `setOnkeyup(java.lang.String onkeyup)`
    `void` | `setOnmousedown(java.lang.String onmousedown)`
    `void` | `setOnmousemove(java.lang.String onmousemove)`
    `void` | `setOnmouseout(java.lang.String onmouseout)`
    `void` | `setOnmouseover(java.lang.String onmouseover)`
    `void` | `setOnmouseup(java.lang.String onmouseup)`
    `void` | `setPartialSubmit(boolean partialSubmit)`
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setRules(java.lang.String rules)`
    `void` | `setSelectedIndex(int selectedIndex)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setSummary(java.lang.String summary)`
    `void` | `setTabChangeListener(javax.faces.el.MethodBinding tabChangeListener)`
    `void` | `setTabindex(java.lang.String tabindex)`
    `void` | `setTabPlacement(java.lang.String tabPlacement)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setVisible(boolean visible)` Set the value of the `visible` property.
    `void` | `setWidth(java.lang.String width)`

    - ### Methods inherited from class com.icesoft.faces.component.panelseries.UISeries

      `getValue, synchWithPaginator, wrapDataModel`

    - ### Methods inherited from class org.icefaces.impl.component.UISeriesBase

      `ensureFirstRowInRange, getClientId, getContainerClientId, getDataModel, getRowCount, getRowData, getRowIndex, getSavedChildren, getSavedSeriesState, getVar, getVarStatus, isRowAvailable, iterate, restoreChild, restoreChildrenState, restoreChildState, saveChild, saveChildrenState, saveChildState, setDataModel, setId, setRowIndex, setValue, setValueBinding, setVar, setVarStatus, visitTree`

    - ### Methods inherited from class javax.faces.component.html.HtmlDataTable

      `getBodyrows, getCaptionClass, getCaptionStyle, getColumnClasses, getDefaultEventName, getEventNames, getFooterClass, getHeaderClass, getRowClasses, setBodyrows, setCaptionClass, setCaptionStyle, setColumnClasses, setFooterClass, setHeaderClass, setRowClasses`

    - ### Methods inherited from class javax.faces.component.UIData

      `createUniqueId, getFirst, getFooter, getHeader, getRows, invokeOnComponent, isRowStatePreserved, markInitialState, setFirst, setFooter, setHeader, setRows, setRowStatePreserved, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      The component type.
      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      The component family.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelTabSet

          public PanelTabSet()

      Creates an instance and sets the default renderer type to "com.icesoft.faces.TabbedPane".

  - ### Method Detail

    - #### decode

          public void decode(javax.faces.context.FacesContext context)

      Overrides:
        `decode` in class `javax.faces.component.UIComponentBase`

    - #### applyPhase

          public void applyPhase(javax.faces.context.FacesContext context,
                                 javax.faces.event.PhaseId phaseId)

      Parameters:
        `context` -
        `phaseId` -

    - #### applyPhase

          public void applyPhase(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 javax.faces.event.PhaseId phaseId)

      Parameters:
        `context` -
        `component` -
        `phaseId` -

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `org.icefaces.impl.component.UISeriesBase`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext context)

      Overrides:
        `processValidators` in class `org.icefaces.impl.component.UISeriesBase`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `org.icefaces.impl.component.UISeriesBase`

    - #### addTabChangeListener

          public void addTabChangeListener(TabChangeListener listener)

    - #### removeTabChangeListener

          public void removeTabChangeListener(TabChangeListener listener)

      Parameters:
        `listener` -

    - #### getTabChangeListener

          public javax.faces.el.MethodBinding getTabChangeListener()

      Returns:
        the tabChangeListener

    - #### setTabChangeListener

          public void setTabChangeListener(javax.faces.el.MethodBinding tabChangeListener)

      Parameters:
        `tabChangeListener` -

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.icefaces.impl.component.UISeriesBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### isRendered

          public boolean isRendered()

      Overrides:
        `isRendered` in class `UISeries`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### setSelectedIndex

          public void setSelectedIndex(int selectedIndex)

      Parameters:
        `selectedIndex` -

    - #### getSelectedIndex

          public int getSelectedIndex()

      Returns:
        the value of selectedIndex

    - #### setBgcolor

          public void setBgcolor(java.lang.String bgcolor)

      Overrides:
        `setBgcolor` in class `javax.faces.component.html.HtmlDataTable`
      Parameters:
        `bgcolor` -

    - #### getBgcolor

          public java.lang.String getBgcolor()

      Overrides:
        `getBgcolor` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of bgcolor

    - #### getBorder

          public int getBorder()

      Return the value of the `border` property. Contents:

      Width (in pixels) of the border to be drawn around this table.

      Overrides:
        `getBorder` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        border

    - #### setBorder

          public void setBorder(int border)

      Set the value of the `border` property.

      Overrides:
        `setBorder` in class `javax.faces.component.html.HtmlDataTable`
      Parameters:
        `border` -

    - #### setStyle

          public void setStyle(java.lang.String style)

      Overrides:
        `setStyle` in class `javax.faces.component.html.HtmlDataTable`

    - #### getStyle

          public java.lang.String getStyle()

      Overrides:
        `getStyle` in class `javax.faces.component.html.HtmlDataTable`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Overrides:
        `setStyleClass` in class `javax.faces.component.html.HtmlDataTable`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlDataTable`

    - #### setTabPlacement

          public void setTabPlacement(java.lang.String tabPlacement)

      Parameters:
        `tabPlacement` -

    - #### getTabPlacement

          public java.lang.String getTabPlacement()

      Returns:
        the value of tabPlacement, currently only "top" and "bottom" are supported

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### saveSeriesState

          public java.lang.Object saveSeriesState(javax.faces.context.FacesContext facesContext)

      Specified by:
        `saveSeriesState` in interface `org.icefaces.impl.component.SeriesStateHolder`
      Overrides:
        `saveSeriesState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### restoreSeriesState

          public void restoreSeriesState(javax.faces.context.FacesContext facesContext,
                                         java.lang.Object state)

      Specified by:
        `restoreSeriesState` in interface `org.icefaces.impl.component.SeriesStateHolder`
      Overrides:
        `restoreSeriesState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### setAlign

          public void setAlign(java.lang.String align)

      Parameters:
        `align` -

    - #### setCellpadding

          public void setCellpadding(java.lang.String cellpadding)

      Overrides:
        `setCellpadding` in class `javax.faces.component.html.HtmlDataTable`

    - #### setCellspacing

          public void setCellspacing(java.lang.String cellspacing)

      Overrides:
        `setCellspacing` in class `javax.faces.component.html.HtmlDataTable`

    - #### setFrame

          public void setFrame(java.lang.String frame)

      Overrides:
        `setFrame` in class `javax.faces.component.html.HtmlDataTable`

    - #### setHeight

          public void setHeight(java.lang.String height)

      Parameters:
        `height` -

    - #### setOnclick

          public void setOnclick(java.lang.String onclick)

      Overrides:
        `setOnclick` in class `javax.faces.component.html.HtmlDataTable`

    - #### setOndblclick

          public void setOndblclick(java.lang.String ondblclick)

      Overrides:
        `setOndblclick` in class `javax.faces.component.html.HtmlDataTable`

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String onkeydown)

      Overrides:
        `setOnkeydown` in class `javax.faces.component.html.HtmlDataTable`

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String onkeypress)

      Overrides:
        `setOnkeypress` in class `javax.faces.component.html.HtmlDataTable`

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String onkeyup)

      Overrides:
        `setOnkeyup` in class `javax.faces.component.html.HtmlDataTable`

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String onmousedown)

      Overrides:
        `setOnmousedown` in class `javax.faces.component.html.HtmlDataTable`

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String onmousemove)

      Overrides:
        `setOnmousemove` in class `javax.faces.component.html.HtmlDataTable`

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String onmouseout)

      Overrides:
        `setOnmouseout` in class `javax.faces.component.html.HtmlDataTable`

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String onmouseover)

      Overrides:
        `setOnmouseover` in class `javax.faces.component.html.HtmlDataTable`

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String onmouseup)

      Overrides:
        `setOnmouseup` in class `javax.faces.component.html.HtmlDataTable`

    - #### setRules

          public void setRules(java.lang.String rules)

      Overrides:
        `setRules` in class `javax.faces.component.html.HtmlDataTable`

    - #### setSummary

          public void setSummary(java.lang.String summary)

      Overrides:
        `setSummary` in class `javax.faces.component.html.HtmlDataTable`

    - #### setWidth

          public void setWidth(java.lang.String width)

      Overrides:
        `setWidth` in class `javax.faces.component.html.HtmlDataTable`

    - #### setDir

          public void setDir(java.lang.String dir)

      Overrides:
        `setDir` in class `javax.faces.component.html.HtmlDataTable`

    - #### setLang

          public void setLang(java.lang.String lang)

      Overrides:
        `setLang` in class `javax.faces.component.html.HtmlDataTable`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Overrides:
        `setTitle` in class `javax.faces.component.html.HtmlDataTable`

    - #### getOnclick

          public java.lang.String getOnclick()

      Overrides:
        `getOnclick` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of onclick property

    - #### getOndblclick

          public java.lang.String getOndblclick()

      Overrides:
        `getOndblclick` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of ondblclick property

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

      Overrides:
        `getOnmousedown` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of onmousedown property

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

      Overrides:
        `getOnmouseup` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of onmouseup property

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

      Overrides:
        `getOnmouseover` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of onmouseover property

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

      Overrides:
        `getOnmousemove` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of onmousemove property

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

      Overrides:
        `getOnmouseout` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of onmouseout property

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

      Overrides:
        `getOnkeypress` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of onkeypress property

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

      Overrides:
        `getOnkeydown` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of onkeydown property

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

      Overrides:
        `getOnkeyup` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of onkeyup property

    - #### getAlign

          public java.lang.String getAlign()

      Returns:
        the value of align property

    - #### getCellpadding

          public java.lang.String getCellpadding()

      Overrides:
        `getCellpadding` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of cellpadding property

    - #### getCellspacing

          public java.lang.String getCellspacing()

      Overrides:
        `getCellspacing` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of cellspacing property

    - #### getFrame

          public java.lang.String getFrame()

      Overrides:
        `getFrame` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of frame property

    - #### getRules

          public java.lang.String getRules()

      Overrides:
        `getRules` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of rules property

    - #### getSummary

          public java.lang.String getSummary()

      Overrides:
        `getSummary` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of summary property

    - #### getHeight

          public java.lang.String getHeight()

      Returns:
        the value of height property

    - #### getWidth

          public java.lang.String getWidth()

      Overrides:
        `getWidth` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of width property

    - #### getDir

          public java.lang.String getDir()

      Overrides:
        `getDir` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of dir property

    - #### getLang

          public java.lang.String getLang()

      Overrides:
        `getLang` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of lang property

    - #### getTitle

          public java.lang.String getTitle()

      Overrides:
        `getTitle` in class `javax.faces.component.html.HtmlDataTable`
      Returns:
        the value of title property

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

      Parameters:
        `renderedOnUserRole` -

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

      Returns:
        renderedOnUserRole

    - #### setVisible

          public void setVisible(boolean visible)

      Set the value of the `visible` property.

      Parameters:
        `visible` -

    - #### isVisible

          public boolean isVisible()

      Return the value of the `visible` property.

      Returns:
        visible

    - #### getClientIdForRootElement

          public java.lang.String getClientIdForRootElement(javax.faces.context.FacesContext context)

    - #### isPartialSubmit

          public boolean isPartialSubmit()

    - #### setPartialSubmit

          public void setPartialSubmit(boolean partialSubmit)

    - #### isImmediate

          public boolean isImmediate()

    - #### setImmediate

          public void setImmediate(boolean immediate)

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `org.icefaces.impl.component.UISeriesBase`
      Throws:
        `java.io.IOException`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `org.icefaces.impl.component.UISeriesBase`

    - #### isKeyboardNavigationEnabled

          public boolean isKeyboardNavigationEnabled()

    - #### setKeyboardNavigationEnabled

          public void setKeyboardNavigationEnabled(boolean keyboardNavigationEnabled)

    - #### setTabindex

          public void setTabindex(java.lang.String tabindex)

    - #### getTabindex

          public java.lang.String getTabindex()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.